Bug 64 - Nexus tools from WinMe can not connect to samba-3
Nexus tools from WinMe can not connect to samba-3
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.0preX
Other All
: P2 normal
: 3.0.1
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 12:28 UTC by John H Terpstra
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments
log.smb of the failed call to add a machine from win95 (2.14 KB, text/plain)
2003-06-12 06:20 UTC, Volker Lendecke
no flags Details
Applied patch. (1.87 KB, patch)
2003-10-21 16:15 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2003-05-03 12:28:53 UTC
Use of either the Domain User Manager _or_ the Server Manager from the Nexus
tool set results in RPC API pipe errors.

How to reproduce:
-----------------
Fire up DomUsrMgr, try to connect to the Samba controlled domain - FAILS

Fire up SvrMgr, try to manage Shares on the domain controller - FAILS

smbds log at level 10 shows:
[2003/05/03 11:55:27, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0

Ethereal trace shows repeated RPC request/response failures.

This was working 1 week ago.
Comment 1 John H Terpstra 2003-05-03 12:30:04 UTC
Changed classification from File Services to Domain Control.
Comment 2 John H Terpstra 2003-05-07 23:00:33 UTC
Changed OS affected from Other to ALL.
Comment 3 John H Terpstra 2003-05-08 16:14:19 UTC
5/8/03 5pm MDT: Working again now

Needs further review before going Beta.
Comment 4 John H Terpstra 2003-05-08 21:27:18 UTC
Oops. Still broken.

Using Nexus Server Manager to add a machine account to the domain results in
smbd failing with a debug message:

[2003/05/08 22:13:10, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0

The Server Manger reports a dialog box that says that a procedure number was out
of range. I have an ethereal capture of the failure. It can be downloaded from:
http://samba.org/~jht/NT4migration/SvrTools-SvrMgr-AddMachineAcct.cap

The smbd log file is here:
http://samba.org/~jht/NT4migration/maggot.FailedAddMachine

maggot is the MS Windows ME machine from which the SvrMgr.exe was run.
Comment 5 Volker Lendecke 2003-06-12 06:20:52 UTC
Created attachment 24 [details]
log.smb of the failed call to add a machine from win95

The Win95 tools use SAMR call 0xc which we don't support. I'd
vote for WONTFIX.

Volker
Comment 6 John H Terpstra 2003-06-14 12:39:06 UTC
Why have we removed support for SAMR call 0xc - if that is the correct
interpretation?

This does work with samba-2.2.x.

This is a reversion and a loss of functionality - NOT an acceptable status.

I vote for fixing it, not just ignoring a reversion.
Comment 7 Pavel V.Zheltobryukhov 2003-08-04 23:31:02 UTC
The same bug appears in Samba3.0.0beta3.
Comment 8 Jetchko Jekov 2003-08-27 10:39:12 UTC
I vote for fixing that too 
I think that many people have a mixed win9x/2k/XP network like me. 
I planned migration from NT to Samba 3 but missing this feature is little bit 
confusing  
 
Comment 9 Jeremy Allison 2003-10-17 18:10:53 UTC
I have checked this running against Samba 3.0.1 pre and the usermanager
tool works correctly running on Win98.

I will check the server manager tool on the same vmware session. I think
this bug may be fixed.

Jeremy.
Comment 10 Jeremy Allison 2003-10-17 18:16:11 UTC
Nope, server manager still fails. I will look into the problems before
3.0.1 release.
Jeremy.
Comment 11 Jeremy Allison 2003-10-21 16:15:31 UTC
Created attachment 211 [details]
Applied patch.
Comment 12 Jeremy Allison 2003-10-21 16:16:03 UTC
Fixed in SAMBA_3_0 and HEAD CVS.
Jeremy.
Comment 13 Gerald (Jerry) Carter 2005-02-07 07:54:31 UTC
originally reported against 3.0alpha23.  Bugzilla spring cleaning.
Comment 14 Gerald (Jerry) Carter 2005-08-24 10:20:37 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.